import request from "@/utils/request";

// 检查任务列表
export function CheckList(data) {
  return request({
    url: "/app/checkTemplateTask/mylist",
    method: "post",
    data: data,
  });
}

// 检查项列表
export function CheckItemList(data) {
  return request({
    url: "/app/checkTemplateTaskItem/list",
    method: "post",
    data: data,
  });
}

// 检查项详情
export function CheckItemDetail(id) {
  return request({
    url: "/app/checkTemplateTaskItem/detail2?id=" + id,
    method: "get",
  });
}

// 保存检查项
export function SaveCheckItem(data) {
  return request({
    url: "/app/checkTemplateTaskItem/save",
    method: "post",
    data: data,
  });
}
// check_task_status
export function getDictionary(data) {
  return request({
    url: "/app/dict/data?dictType=" + data,
    method: "get",
  });
}

// 完成任务，完成后检查项只能查看
export function missionFinish(data) {
  return request({
    url: "/app/checkTemplateTask/finish?id=" + data,
    method: "get",
  });
}
